<section class="main-container">
<section class="action-btn">
    <app-logout-btn class="logout-btn"></app-logout-btn>
</section>
<section class="doctorList-container">
    <app-nurse-nav-bar></app-nurse-nav-bar>
<div class="doctor-table">
<h1>hello {{name}}</h1>

    <div class="doctor-table mat-elevation-z8"> 
        <mat-table #table  [dataSource]="dataSource" class="table">

            <ng-container matColumnDef="assignedDoctor">
                <mat-header-cell *matHeaderCellDef> </mat-header-cell>
                <mat-cell *matCellDef="let element">Assigned Doctor</mat-cell>
            </ng-container> 

         <ng-container matColumnDef="name">
             <mat-header-cell *matHeaderCellDef> Name </mat-header-cell>
             <mat-cell *matCellDef="let element"> {{element.name}} </mat-cell>
         </ng-container>

         <ng-container matColumnDef="changeRequest">
            <mat-header-cell *matHeaderCellDef> Action </mat-header-cell>
            <mat-cell *matCellDef="let element"><app-button (click)="changeRequestPopup(element)"> Change Request</app-button> </mat-cell>
        </ng-container>

        <ng-container matColumnDef="message">
            <mat-header-cell *matHeaderCellDef>Message</mat-header-cell>
            <mat-cell *matCellDef="let element"> <app-button (click)="openMessagePopup(element)">Send Message</app-button> </mat-cell>
          </ng-container>
         
           <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
           <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
         </mat-table>
     </div>
</div>
</section>
</section>


<section *ngIf="displayMessagePopup">
    <form class="popup-container" [formGroup]="form" (ngSubmit)="sendMessage(form)" >
        <h3>Send Message</h3>
        <app-input type="text" placeholder="Write Your Message!" formControlName="text"></app-input>
        <app-readonly-input type="text" [placeholder]="nameSendMessageTo" formControlName="to" ></app-readonly-input>
      <app-button [form] = 'form'>Send</app-button>
    </form>
</section>

<section *ngIf="displayChangeRequestPopup">
    <form class="popup-container" [formGroup]="changeRequestForm" (ngSubmit)="changeDoctor(changeRequestForm)" >
        <h3>Add Doctor</h3>
        <app-input type="text" placeholder="for" formControlName="for"></app-input>
    <app-input type="text" placeholder="Please Provide Reason " formControlName="reason"></app-input>
    <mat-select placeholder="Select Doctor" class="select-nurses" formControlName="replacement" [(ngModel)]="value">
        <mat-option *ngFor="let ele of availDoctors" [value]="ele._id">{{ele.name}}</mat-option>
      </mat-select>
      <app-button [form] = 'form'>Send</app-button>
    </form>
</section>


